package com.bb.service;

import java.util.List;

import org.codehaus.jettison.json.JSONObject;

import com.bb.model.Game;
import com.bb.model.NexusApiInfo;

public interface NexusService {

	List<Game> gameList(String LOG_PREFIX, NexusApiInfo apiInfo);
	
	JSONObject createUser(String LOG_PREFIX, NexusApiInfo apiInfo);
	
	JSONObject userBalance(String LOG_PREFIX, NexusApiInfo apiInfo);
	
	JSONObject userDeposit(String LOG_PREFIX, NexusApiInfo apiInfo, int amount);
	
	JSONObject userWithdraw(String LOG_PREFIX, NexusApiInfo apiInfo, int amount);
	
	JSONObject userWithdrawAll(String LOG_PREFIX, NexusApiInfo apiInfo);
	
	String gameStart(String LOG_PREFIX, NexusApiInfo apiInfo);

	JSONObject getDetail(String LOG_PREFIX, NexusApiInfo apiInfo, String trxId);

	JSONObject getDetailUrl(String LOG_PREFIX, NexusApiInfo apiInfo, String trxId);
	
	JSONObject getTransaction(String LOG_PREFIX, NexusApiInfo apiInfo);
}
